program EarthV5;

uses
  Forms,
  EarthFrm in 'EarthFrm.pas' {EarthForm},
  USolarSystem in 'USolarSystem.pas',
  EarthLocationsFrm in 'EarthLocationsFrm.pas' {EarthLocationsForm},
  EarthAboutFrm in 'EarthAboutFrm.pas' {AboutForm},
  HoloAbout in 'HoloAbout.pas' {AboutHolographics},
  HoloGlobals in 'HoloGlobals.pas',
  HoloUSMDStuff in 'HoloUSMDStuff.pas',
  HoloGlsSmdLoadMdlFrm in 'HoloGlsSmdLoadMdlFrm.pas' {GlsSmdLoadMdlForm},
  HoloGlsSmdQcFrm in 'HoloGlsSmdQcFrm.pas' {GlsSmdQcForm},
  HoloGLSViewerFrm in 'HoloGLSViewerFrm.pas' {GLSViewerForm},
  HoloFrm in 'HoloFrm.pas' {HoloForm},
  AllSplash in '..\common\AllSplash.pas' {SplashScreen},
  MeshData in 'MeshData.pas' {frmMeshData},
  GLSahObjects in 'GLSahObjects.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'EarthV5';
  Application.CreateForm(TEarthForm, EarthForm);
  Application.CreateForm(TEarthLocationsForm, EarthLocationsForm);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.CreateForm(TAboutHolographics, AboutHolographics);
  Application.CreateForm(TGlsSmdLoadMdlForm, GlsSmdLoadMdlForm);
  Application.CreateForm(TGlsSmdQcForm, GlsSmdQcForm);
  Application.CreateForm(TGLSViewerForm, GLSViewerForm);
  Application.CreateForm(THoloForm, HoloForm);
  Application.Run;
end.
