unit im_D5;

interface

uses  SysUtils;

type
  PrefRecord = record
  POldFileName0,POldFileName1,POldFileName2,POldFileName3,POldFileName4,
  PImagePath: string[255];
    PMainFormX,
    PMainFormY,
    PLogFormX,PLogFormY,
    PMacroFormX,PMacroFormY,
    PLineProfileCTRLFormX,PLineProfileCTRLFormY,
    POzoneMushFormX,
    POzoneMushFormY,
    PCatWinFormX,
    PCatWinFormY,
    PImagePixelFormX,
    PImagePixelFormY,
    PLifePatternFormX,
    PLifePatternFormY,
    PSqBlockFormX,
    PSqBlockFormY,
    PEffectsCTRLFormX,PEffectsCTRLFormY,
    PBinaryCTRLFormX,PBinaryCTRLFormY,
    PBlendCtrlFormX,PBlendCtrlFormY,
    PcoloradjCTRLFormX,PcoloradjCTRLFormY,
    PContrastCtrlFormX,PContrastCtrlFormY,
    PconvctrlformX,PconvctrlformY,
    PNewImCTRLFormX,PNewImCTRLFormY,
    PPropertiesCTRLFormX,PPropertiesCTRLFormY,
    PResizeCtrlFormX,PResizeCtrlFormY,
    PRotateCTRLFormX,PRotateCTRLFormY,
    PSelectionFormX,PSelectionFormY,
     PGSizerFormX,PGSizerFormY,
      PhistogramctrlformX,
      PhistogramctrlformY,
    PAG32SkewFormX,
    PAG32SkewFormY: Integer;
  end;
  PrefFile = file of PrefRecord;
var
  PreRcd: PrefRecord;
  OldFileName0,OldFileName1,OldFileName2,OldFileName3,OldFileName4,
  ImagePath:String;
    MainFormX,
    MainFormY,
    LogFormX,LogFormY,
    MacroFormX,MacroFormY,
    LineProfileCTRLFormX,LineProfileCTRLFormY,

    OzoneMushFormX,
    OzoneMushFormY,
    CatWinFormX,
    CatWinFormY,
    ImagePixelFormX,
    ImagePixelFormY,
    LifePatternFormX,
    LifePatternFormY,
    SqBlockFormX,
    SqBlockFormY,
    
      histogramctrlformX,
      histogramctrlformY,
    EffectsCTRLFormX,EffectsCTRLFormY,
    BinaryCTRLFormX,BinaryCTRLFormY,
    BlendCtrlFormX,BlendCtrlFormY,
    coloradjCTRLFormX,coloradjCTRLFormY,
    ContrastCtrlFormX,ContrastCtrlFormY,
    convctrlformX,convctrlformY,
    NewImCTRLFormX,NewImCTRLFormY,
    PropertiesCTRLFormX,PropertiesCTRLFormY,
    ResizeCtrlFormX,ResizeCtrlFormY,
    RotateCTRLFormX,RotateCTRLFormY,
    SelectionFormX,SelectionFormY,
     GSizerFormX,GSizerFormY,
    AG32SkewFormX,
    AG32SkewFormY: Integer;

Function ensurerangeiiii(a,b,c:Integer):Integer;
Function ensurerangerrii(a:Real;b,c:Integer):Real;
procedure DoLoader;
procedure SetPreferences;
procedure DoSaver;
procedure GetPreferences;

implementation

Function ensurerangeiiii(a,b,c:Integer):Integer;
Begin
{i:=ensurerangeiiii(strtointdef(COPY(combobox1.text,1,Length(combobox1.text)-1),0),10,1600);}
  {If (a >b) and (a<c) then Result:=a else }
  If a < b then Result:=b else
  If a > c then Result:=c
  else Result:=a;
End;

{ Gamma:=ensurerangerrii(gamma,0,5);}
Function ensurerangerrii(a:Real;b,c:Integer):Real;
Begin
  {If (a >b) and (a<c) then Result:=a else }
  If a < b then Result:=b else
  If a > c then Result:=c
  else Result:=a;
End;


procedure DoLoader;
var P_File: PrefFile;
var PathS: string;
begin {}
  PathS := ExtractFilePath(ParamStr(0)) + 'Imagem.pof';
  if FileExists(PathS) then
  begin
    AssignFile(P_File, PathS);
    Reset(P_File);
    if IoResult <> 0 then Halt;
    Read(P_File, PreRcd);
    CloseFile(P_File);
    SetPreferences;
  end else halt;
end;

procedure SetPreferences;
begin {after loading}
  with PreRcd do begin
    ImagePath:=PImagePath;
  OldFileName0:=POldFileName0;
  OldFileName1:=POldFileName1;
  OldFileName2:=POldFileName2;
  OldFileName3:=POldFileName3;
  OldFileName4:=POldFileName4;

      MainFormX:=PMainFormX;
      MainFormY:=PMainFormY;
    LogFormX:=PLogFormX;
    LogFormY:=PLogFormY;
    MacroFormX:=PMacroFormX;
    MacroFormY:=PMacroFormY;
    LineProfileCTRLFormX:=PLineProfileCTRLFormX;
    LineProfileCTRLFormY:=PLineProfileCTRLFormY;
    OzoneMushFormX:=POzoneMushFormX;
    OzoneMushFormY:=POzoneMushFormY;
    CatWinFormX:=PCatWinFormX;
    CatWinFormY:=PCatWinFormY;
    ImagePixelFormX:=PImagePixelFormX;
    ImagePixelFormY:=PImagePixelFormY;
    LifePatternFormX:=PLifePatternFormX;
    LifePatternFormY:=PLifePatternFormY;
    SqBlockFormX:=PSqBlockFormX;
    SqBlockFormY:=PSqBlockFormY;
      histogramctrlformX:=PhistogramctrlformX;
      histogramctrlformY:=PhistogramctrlformY;
    EffectsCTRLFormX:=PEffectsCTRLFormX;
    EffectsCTRLFormY:=PEffectsCTRLFormY;
    BinaryCTRLFormX:=PBinaryCTRLFormX;
    BinaryCTRLFormY:=PBinaryCTRLFormY;
    BlendCtrlFormX:=PBlendCtrlFormX;
    BlendCtrlFormY:=PBlendCtrlFormY;
    coloradjCTRLFormX:=PcoloradjCTRLFormX;
    coloradjCTRLFormY:=PcoloradjCTRLFormY;
    ContrastCtrlFormX:=PContrastCtrlFormX;
    ContrastCtrlFormY:=PContrastCtrlFormY;
    convctrlformX:=PconvctrlformX;
    convctrlformY:=PconvctrlformY;
    NewImCTRLFormX:=PNewImCTRLFormX;
    NewImCTRLFormY:=PNewImCTRLFormY;
    PropertiesCTRLFormX:=PPropertiesCTRLFormX;
    PropertiesCTRLFormY:=PPropertiesCTRLFormY;
    ResizeCtrlFormX:=PResizeCtrlFormX;
    ResizeCtrlFormY:=PResizeCtrlFormY;
    RotateCTRLFormX:=PRotateCTRLFormX;
    RotateCTRLFormY:=PRotateCTRLFormY;
    SelectionFormX:=PSelectionFormX;
    SelectionFormY:=PSelectionFormY;
     GSizerFormX:=PGSizerFormX;
     GSizerFormY:=PGSizerFormY;
      AG32SkewFormX:=PAG32SkewFormX;
      AG32SkewFormY:=PAG32SkewFormY;
   end;
end;

procedure DoSaver;
var P_File: PrefFile;
var PathS: string;
begin
  PathS := ExtractFilePath(ParamStr(0)) + 'Imagem.pof';
  {if (not FileExists(PathS)) then ;}
  GetPreferences;
  AssignFile(P_File, PathS);
  Rewrite(P_File);
  if IoResult <> 0 then
  begin
    halt;
  end;
  write(P_File, PreRcd);
  CloseFile(P_File);
end;
{---------------------------------------------------------------------}

procedure GetPreferences;
begin {before saving}
  with PreRcd do begin
    PImagePath:=ImagePath;
  POldFileName0:=OldFileName0;
  POldFileName1:=OldFileName1;
  POldFileName2:=OldFileName2;
  POldFileName3:=OldFileName3;
  POldFileName4:=OldFileName4;
      PMainFormX:=MainFormX;
      PMainFormY:=MainFormY;
    PLogFormX:=LogFormX;
    PLogFormY:=LogFormY;
    PMacroFormX:=MacroFormX;
    PMacroFormY:=MacroFormY;
    PLineProfileCTRLFormX:=LineProfileCTRLFormX;
    PLineProfileCTRLFormY:=LineProfileCTRLFormY;
    POzoneMushFormX:=OzoneMushFormX;
    POzoneMushFormY:=OzoneMushFormY;
    PCatWinFormX:=CatWinFormX;
    PCatWinFormY:=CatWinFormY;
    PImagePixelFormX:=ImagePixelFormX;
    PImagePixelFormY:=ImagePixelFormY;
    PLifePatternFormX:=LifePatternFormX;
    PLifePatternFormY:=LifePatternFormY;
    PSqBlockFormX:=SqBlockFormX;
    PSqBlockFormY:=SqBlockFormY;
      PhistogramctrlformX:=histogramctrlformX;
      PhistogramctrlformY:=histogramctrlformY;
    PEffectsCTRLFormX:=EffectsCTRLFormX;
    PEffectsCTRLFormY:=EffectsCTRLFormY;
    PBinaryCTRLFormX:=BinaryCTRLFormX;
    PBinaryCTRLFormY:=BinaryCTRLFormY;
    PBlendCtrlFormX:=BlendCtrlFormX;
    PBlendCtrlFormY:=BlendCtrlFormY;
    PcoloradjCTRLFormX:=PcoloradjCTRLFormX;
    PcoloradjCTRLFormY:=coloradjCTRLFormY;
    PContrastCtrlFormX:=ContrastCtrlFormX;
    PContrastCtrlFormY:=ContrastCtrlFormY;
    PconvctrlformX:=convctrlformX;
    PconvctrlformY:=convctrlformY;
    PNewImCTRLFormX:=NewImCTRLFormX;
    PNewImCTRLFormY:=NewImCTRLFormY;
    PPropertiesCTRLFormX:=PropertiesCTRLFormX;
    PPropertiesCTRLFormY:=PropertiesCTRLFormY;
    PResizeCtrlFormX:=ResizeCtrlFormX;
    PResizeCtrlFormY:=ResizeCtrlFormY;
    PRotateCTRLFormX:=RotateCTRLFormX;
    PRotateCTRLFormY:=RotateCTRLFormY;
    PSelectionFormX:=SelectionFormX;
    PSelectionFormY:=SelectionFormY;
     PGSizerFormX:=GSizerFormX;
     PGSizerFormY:=GSizerFormY;
      PAG32SkewFormX:=AG32SkewFormX;
      PAG32SkewFormY:=AG32SkewFormY;
  end;
end;
end.
