program Imagem;
{Imagem is a part of ILH... Ivan Lee Herring}
{*********************************************}
{  This unit is a part of ImageE              }
{  Copyright  2003-2004 R.Geurts             }
{  See Readme.txt for licence information     }
{*********************************************}

uses
  Forms,
  im_MainFRM in 'im_MainFRM.pas' {MainForm},
  im_Basic in 'im_Basic.pas',
  im_Convolution in 'im_Convolution.pas',
  im_Effects in 'im_Effects.pas',
  im_childwin in 'im_childwin.pas' {MDIChild},
  im_Clipboard in 'im_Clipboard.pas',
  im_resizeFRM in 'im_resizeFRM.pas' {ResizeCtrlForm},
  im_contrastFRM in 'im_contrastFRM.pas' {ContrastCTRLForm},
  im_RotateFRM in 'im_RotateFRM.pas' {RotateCTRLForm},
  im_G32skewFRM in 'im_G32skewFRM.pas' {AG32SkewForm},
  im_propertiesFRM in 'im_propertiesFRM.pas' {PropertiesCTRLForm},
  im_aboutFRM in 'im_aboutFRM.PAS' {AboutCTRLform},
  im_effectsFRM in 'im_effectsFRM.pas' {EffectsCTRLForm},
  im_convFRM in 'im_convFRM.pas' {convctrlform},
  im_defselectionFRM in 'im_defselectionFRM.pas' {SelectionForm},
  im_binaryFRM in 'im_binaryFRM.pas' {BinaryCTRLForm},
  im_coloradjFRM in 'im_coloradjFRM.pas' {ColorAdjCtrlform},
  im_HistogramFRM in 'im_HistogramFRM.pas' {HistogramCTRLForm},
  im_HistogramLib in 'im_HistogramLib.pas',
  im_newimageFRM in 'im_newimageFRM.pas' {NewImCTRLForm},
  im_Blendfrm in 'im_Blendfrm.pas' {BlendCtrlForm},
  im_blending in 'im_blending.pas',
  im_D5 in 'im_D5.pas',
  AllSplash in '..\common\AllSplash.pas' {SplashScreen},
  im_SizerFrm in 'im_SizerFrm.pas' {GSizetteForm},
  im_QPCatWinFrm in 'im_QPCatWinFrm.pas' {CatWinForm},
  im_QPSqBlockFrm in 'im_QPSqBlockFrm.pas' {SqBlockForm},
  im_QPImagePixelFrm in 'im_QPImagePixelFrm.pas' {ImagePixelForm},
  im_QPLifePatternFrm in 'im_QPLifePatternFrm.pas' {LifePatternForm},
  im_QPOzoneMushFrm in 'im_QPOzoneMushFrm.pas' {OzoneMushForm},
  im_Bmp2Tiff in 'im_Bmp2Tiff.pas',
  im_logfrm in 'im_logfrm.pas' {LogForm},
  im_LineprofileFRM in 'im_LineprofileFRM.pas' {LineProfileCTRLForm};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'Imagem';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TResizeCtrlForm, ResizeCtrlForm);
  Application.CreateForm(TContrastCTRLForm, ContrastCTRLForm);
  Application.CreateForm(TPropertiesCTRLForm, PropertiesCTRLForm);
  Application.CreateForm(TAboutCTRLform, AboutCTRLform);
  Application.CreateForm(TEffectsCTRLForm, EffectsCTRLForm);
  Application.CreateForm(Tconvctrlform, convctrlform);
  Application.CreateForm(TSelectionForm, SelectionForm);
  Application.CreateForm(TBinaryCTRLForm, BinaryCTRLForm);
  Application.CreateForm(TColorAdjCtrlform, ColorAdjCtrlform);
  Application.CreateForm(THistogramCTRLForm, HistogramCTRLForm);
  Application.CreateForm(TNewImCTRLForm, NewImCTRLForm);
  Application.CreateForm(TBlendCtrlForm, BlendCtrlForm);
  Application.CreateForm(TRotateCTRLForm, RotateCTRLForm);
  Application.CreateForm(TAG32SkewForm, AG32SkewForm);
  Application.CreateForm(TGSizetteForm, GSizetteForm);
  Application.CreateForm(TLogForm, LogForm);
  Application.CreateForm(TLineProfileCTRLForm, LineProfileCTRLForm);
  Application.Run;
end.
